org.apache.ignite.internal.processors.cache.persistence.freelist.io

## Class PagesListMetaIO

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO
  - - org.apache.ignite.internal.processors.cache.persistence.freelist.io.PagesListMetaIO

    public class PagesListMetaIO
    extends PageIO

### Field Summary

Fields
`static IOVersions<PagesListMetaIO>` `VERSIONS`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`COMMON_HEADER_END, CRC_OFF, MAX_PAYLOAD_SIZE, PAGE_ID_OFF, T_BPLUS_META, T_CACHE_ID_AWARE_DATA_REF_INNER, T_CACHE_ID_AWARE_DATA_REF_LEAF, T_CACHE_ID_AWARE_PENDING_REF_INNER, T_CACHE_ID_AWARE_PENDING_REF_LEAF, T_DATA, T_DATA_METASTORAGE, T_DATA_REF_INNER, T_DATA_REF_LEAF, T_DATA_REF_METASTORAGE_INNER, T_DATA_REF_METASTORAGE_LEAF, T_H2_EX_REF_INNER_END, T_H2_EX_REF_INNER_START, T_H2_EX_REF_LEAF_END, T_H2_EX_REF_LEAF_START, T_H2_REF_INNER, T_H2_REF_LEAF, T_META, T_METASTORE_INNER, T_METASTORE_LEAF, T_PAGE_LIST_META, T_PAGE_LIST_NODE, T_PAGE_UPDATE_TRACKING, T_PART_CNTRS, T_PART_META, T_PENDING_REF_INNER, T_PENDING_REF_LEAF, TYPE_OFF, VER_OFF`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `addTails(int pageSize, long pageAddr, int bucket, PagesList.Stripe[] tails, int tailsOff)`
`void` `getBucketsData(long pageAddr, Map<Integer,GridLongList> res)`
`long` `getNextMetaPageId(long pageAddr)`
`void` `initNewPage(long pageAddr, long pageId, int pageSize)`
`protected void` `printPage(long addr, int pageSize, GridStringBuilder sb)`
`void` `resetCount(long pageAddr)`
`void` `setNextMetaPageId(long pageAddr, long metaPageId)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.tree.io.PageIO

`getBPlusIO, getBPlusIO, getCrc, getCrc, getInnerVersions, getLeafVersions, getPageId, getPageId, getPageIO, getPageIO, getType, getType, getType, getVersion, getVersion, getVersion, isDataPageType, printPage, registerH2, registerH2ExtraInner, registerH2ExtraLeaf, registerTest, setCrc, setCrc, setPageId, setType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VERSIONS

    public static final IOVersions<PagesListMetaIO> VERSIONS

### Method Detail

#### initNewPage

    public void initNewPage(long pageAddr,
                            long pageId,
                            int pageSize)

Overrides:
  `initNewPage` in class `PageIO`
Parameters:
  `pageAddr` - Page address.
  `pageId` - Page ID.
  `pageSize` - Page size.

#### getNextMetaPageId

    public long getNextMetaPageId(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Next meta page ID.

#### setNextMetaPageId

    public void setNextMetaPageId(long pageAddr,
                                  long metaPageId)

Parameters:
  `pageAddr` - Page address.
  `metaPageId` - Next meta page ID.

#### resetCount

    public void resetCount(long pageAddr)

Parameters:
  `pageAddr` - Page address.

#### addTails

    public int addTails(int pageSize,
                        long pageAddr,
                        int bucket,
                        PagesList.Stripe[] tails,
                        int tailsOff)

Parameters:
  `pageSize` - Page size.
  `pageAddr` - Page address.
  `bucket` - Bucket number.
  `tails` - Tails.
  `tailsOff` - Tails offset.
Returns:
  Number of items written.

#### getBucketsData

    public void getBucketsData(long pageAddr,
                               Map<Integer,GridLongList> res)

Parameters:
  `pageAddr` - Page address.
  `res` - Results map.

#### printPage

    protected void printPage(long addr,
                             int pageSize,
                             GridStringBuilder sb)
                      throws IgniteCheckedException

Specified by:
  `printPage` in class `PageIO`
Parameters:
  `addr` - Address.
  `pageSize` - Page size.
  `sb` - Sb.
Throws:
  `IgniteCheckedException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018